/*-
 * #%L
 * Smile CDR - CDR
 * %%
 * Copyright (C) 2016 - 2025 Smile CDR, Inc.
 * %%
 * All rights reserved.
 * #L%
 */
package com.example.server.r4.programmatic;

import ca.uhn.fhir.rest.server.IResourceProvider;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

@Configuration
public class TestServerR4MockContext {

	public TestServerR4MockContext() {}

	@Bean(name = {"resourceProviders"})
	public List<IResourceProvider> resourceProviders(FakePatientResourceProvider theRp) {
		List<IResourceProvider> retVal = new ArrayList();
		retVal.add(theRp);
		return retVal;
	}

	@Bean
	public FakePatientResourceProvider hackableResourceProvider() {
		return new FakePatientResourceProvider();
	}
}
